---
title: "Create advertiser incognito mode targeting"
type: reference
method: POST
path: /rest-api/advertiser/{advertiserId}/targeting/incognito-mode/create.do
tag: "Targeting Rules"
---

# Create advertiser incognito mode targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/{advertiserId}/targeting/incognito-mode/create.do`

Creates an incognito mode targeting rule for the specified advertiser. Requires INCOGNITO_MODE targeting permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `advertiserId` | integer | yes | `1234` | Unique numeric ID of the advertiser |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE to target incognito traffic or EXCLUDE to avoid it |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Advertiser not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/1234/targeting/incognito-mode/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-advertiser-targeting-incognito-mode-create